Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/slides/teihtml-slides.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/slides/teihtml-slides.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/slides/teihtml-slides.xsl	(revision 2397)
@@ -337,196 +400,208 @@
 	if (target.href != null ) return true;
 	if (!e.which || e.which == 1) 
 	document.location = "</xsl:text>
-	           <xsl:value-of select="$next"/>
-	           <xsl:text>.xhtml";
+				<xsl:value-of select="$next" />
+				<xsl:text>.xhtml";
 	}
 	
 	window.onload = startup;
   </xsl:text>
-         </xsl:with-param>
-      </xsl:call-template>
-   </xsl:template>
+			</xsl:with-param>
+		</xsl:call-template>
+	</xsl:template>
 
-  <xsl:template match="tei:body/tei:div[tei:div]">
-      <xsl:variable name="slidenum">
-         <xsl:value-of select="$masterFile"/>
-         <xsl:number/>
-      </xsl:variable>
-      <xsl:variable name="outName">
-         <xsl:call-template name="outputChunkName">
-	           <xsl:with-param name="ident">
-	              <xsl:value-of select="$slidenum"/>
-	           </xsl:with-param>
-         </xsl:call-template>
-      </xsl:variable>
+	<xsl:template match="tei:body/tei:div[tei:div]">
+		<xsl:variable name="slidenum">
+			<xsl:value-of select="$masterFile" />
+			<xsl:number />
+		</xsl:variable>
+		<xsl:variable name="outName">
+			<xsl:call-template name="outputChunkName">
+				<xsl:with-param name="ident">
+					<xsl:value-of select="$slidenum" />
+				</xsl:with-param>
+			</xsl:call-template>
+		</xsl:variable>
 
-      <xsl:if test="$verbose='true'">
-         <xsl:message>Opening file <xsl:value-of select="$outName"/>
-         </xsl:message>
-      </xsl:if>
-      <xsl:result-document doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}"
-                           encoding="{$outputEncoding}"
-                           href="{$outName}"
-                           method="{$outputMethod}">
-        <html>
-            <xsl:call-template name="addLangAtt"/>
-            <head>
-               <title>
-                  <xsl:value-of select="tei:head"/>
-               </title>
-               <xsl:call-template name="includeCSS"/>
-               <xsl:call-template name="cssHook"/>
-               <xsl:call-template name="includeJavascript"/>
-               <xsl:call-template name="javascriptHook"/>
-            </head>
-            <body>
-               <h1>
-                  <xsl:value-of select="tei:head"/>
-               </h1>
-            </body>
-        </html>
-      </xsl:result-document>
-      <xsl:if test="$verbose='true'">
-         <xsl:message>Closing file <xsl:value-of select="$outName"/>
-         </xsl:message>
-      </xsl:if>
+		<xsl:if test="$verbose='true'">
+			<xsl:message>
+				Opening file
+				<xsl:value-of select="$outName" />
+			</xsl:message>
+		</xsl:if>
+		<xsl:result-document
+			doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}"
+			encoding="{$outputEncoding}" href="{$outName}"
+			method="{$outputMethod}">
+			<html>
+				<xsl:call-template name="addLangAtt" />
+				<head>
+					<title>
+						<xsl:value-of select="tei:head" />
+					</title>
+					<xsl:call-template name="includeCSS" />
+					<xsl:call-template name="cssHook" />
+					<xsl:call-template name="includeJavascript" />
+					<xsl:call-template name="javascriptHook" />
+				</head>
+				<body>
+					<h1>
+						<xsl:value-of select="tei:head" />
+					</h1>
+				</body>
+			</html>
+		</xsl:result-document>
+		<xsl:if test="$verbose='true'">
+			<xsl:message>
+				Closing file
+				<xsl:value-of select="$outName" />
+			</xsl:message>
+		</xsl:if>
 
-      <xsl:apply-templates select="tei:div"/>
-  </xsl:template>
+		<xsl:apply-templates select="tei:div" />
+	</xsl:template>
 
 
-  <xsl:template match="tei:body/tei:div|tei:div">
-      <xsl:choose>
-         <xsl:when test="$splitLevel&gt;-1">
-	           <xsl:variable name="slidenum">
-	              <xsl:apply-templates select="." mode="genid"/>
-	           </xsl:variable>
-	
-	           <xsl:variable name="outName">
-	              <xsl:call-template name="outputChunkName">
-	                 <xsl:with-param name="ident">
-	                    <xsl:value-of select="$slidenum"/>
-	                 </xsl:with-param>
-	              </xsl:call-template>
-	           </xsl:variable>
-	
-	           <xsl:if test="$verbose='true'">
-	              <xsl:message>Opening file <xsl:value-of select="$outName"/>
-               </xsl:message>
-	           </xsl:if>
-	           <xsl:result-document doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}"
-                                 encoding="{$outputEncoding}"
-                                 href="{$outName}"
-                                 method="{$outputMethod}">
-	              <xsl:call-template name="slideout"/>
-	           </xsl:result-document>
-	           <xsl:if test="$verbose='true'">
-	              <xsl:message>Closing file <xsl:value-of select="$outName"/>
-               </xsl:message>
-	           </xsl:if>
-         </xsl:when>
-         <xsl:otherwise>
-	           <xsl:call-template name="slidebody"/>
-         </xsl:otherwise>
-      </xsl:choose>
-  </xsl:template>
+	<xsl:template match="tei:body/tei:div|tei:div">
+		<xsl:choose>
+			<xsl:when test="$splitLevel&gt;-1">
+				<xsl:variable name="slidenum">
+					<xsl:apply-templates select="." mode="genid" />
+				</xsl:variable>
 
+				<xsl:variable name="outName">
+					<xsl:call-template name="outputChunkName">
+						<xsl:with-param name="ident">
+							<xsl:value-of select="$slidenum" />
+						</xsl:with-param>
+					</xsl:call-template>
+				</xsl:variable>
 
-  <xsl:template name="slideout">
-      <html>
-         <xsl:call-template name="addLangAtt"/>
-         <head>
-            <title>
-               <xsl:value-of select="tei:head"/>
-            </title>
-            <xsl:call-template name="includeCSS"/>
-            <xsl:call-template name="cssHook"/>
-            <xsl:call-template name="includeJavascript"/>
-            <xsl:call-template name="javascriptHook"/>
-         </head>
-         <body>
-            <xsl:call-template name="slidebody"/>
-         </body>
-      </html>
-  </xsl:template>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						Opening file
+						<xsl:value-of select="$outName" />
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					doctype-public="{$doctypePublic}" doctype-system="{$doctypeSystem}"
+					encoding="{$outputEncoding}" href="{$outName}"
+					method="{$outputMethod}">
+					<xsl:call-template name="slideout" />
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						Closing file
+						<xsl:value-of select="$outName" />
+					</xsl:message>
+				</xsl:if>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:call-template name="slidebody" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template name="slidebody">
-      <div class="slidetop">
-         <div class="slidetitle">
-            <xsl:call-template name="header">
-	              <xsl:with-param name="display">full</xsl:with-param>
-	           </xsl:call-template>
-         </div>
-         <xsl:if test="$splitLevel &gt;-1">
-            <div class="xref">
-               <xsl:call-template name="xrefpanel"/>
-            </div>
-         </xsl:if>
-      </div>
-      <div class="slidemain">
-         <xsl:apply-templates/>
-      </div>
-      <div class="slidebottom">
-         <xsl:call-template name="slideBottom"/>
-      </div>
-  </xsl:template>
 
+	<xsl:template name="slideout">
+		<html>
+			<xsl:call-template name="addLangAtt" />
+			<head>
+				<title>
+					<xsl:value-of select="tei:head" />
+				</title>
+				<xsl:call-template name="includeCSS" />
+				<xsl:call-template name="cssHook" />
+				<xsl:call-template name="includeJavascript" />
+				<xsl:call-template name="javascriptHook" />
+			</head>
+			<body>
+				<xsl:call-template name="slidebody" />
+			</body>
+		</html>
+	</xsl:template>
 
-  <xsl:template name="slideBottom">
-      <div class="slidebottom">
-         <div class="slidebottom-image">
-	           <img id="logo" src="{$logoFile}" width="{$logoWidth}" height="${logoHeight}"
-                 alt="logo"/>
-         </div>
-         <div class="slidebottom-text">
-	           <xsl:call-template name="generateTitle"/>
-         </div>
-      </div>
-  </xsl:template>
+	<xsl:template name="slidebody">
+		<div class="slidetop">
+			<div class="slidetitle">
+				<xsl:call-template name="header">
+					<xsl:with-param name="display">
+						full
+					</xsl:with-param>
+				</xsl:call-template>
+			</div>
+			<xsl:if test="$splitLevel &gt;-1">
+				<div class="xref">
+					<xsl:call-template name="xrefpanel" />
+				</div>
+			</xsl:if>
+		</div>
+		<div class="slidemain">
+			<xsl:apply-templates />
+		</div>
+		<div class="slidebottom">
+			<xsl:call-template name="slideBottom" />
+		</div>
+	</xsl:template>
 
-  <xsl:template match="tei:row">
-	     <xsl:variable name="c">
-	        <xsl:number/>
-	     </xsl:variable>
-	     <xsl:variable name="class">
-	        <xsl:choose>
-	           <xsl:when test="@role">
-		             <xsl:value-of select="@role"/>
-	           </xsl:when>
-	           <xsl:when test="$c mod 2=0">
-	              <xsl:text>Even</xsl:text>
-	           </xsl:when>
-	           <xsl:otherwise>
-	              <xsl:text>Odd</xsl:text>
-	           </xsl:otherwise>
-	        </xsl:choose>
-	     </xsl:variable>
-	     <tr class="{$class}">
-	        <xsl:apply-templates/>
-	     </tr>
-  </xsl:template>
 
-  <xsl:template match="teix:egXML">
-      <xsl:param name="simple">false</xsl:param>
-      <xsl:param name="highlight"/>
-    
-      <div class="pre">
-	        <xsl:apply-templates mode="verbatim">
-	           <xsl:with-param name="highlight">
-	              <xsl:value-of select="$highlight"/>
-	           </xsl:with-param>
-	        </xsl:apply-templates>
-      </div>
-  </xsl:template>
+	<xsl:template name="slideBottom">
+		<div class="slidebottom">
+			<div class="slidebottom-image">
+				<img id="logo" src="{$logoFile}" width="{$logoWidth}"
+					height="${logoHeight}" alt="logo" />
+			</div>
+			<div class="slidebottom-text">
+				<xsl:call-template name="generateTitle" />
+			</div>
+		</div>
+	</xsl:template>
 
-  <xsl:template match="xhtml:*">
-      <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template match="tei:row">
+		<xsl:variable name="c">
+			<xsl:number />
+		</xsl:variable>
+		<xsl:variable name="class">
+			<xsl:choose>
+				<xsl:when test="@role">
+					<xsl:value-of select="@role" />
+				</xsl:when>
+				<xsl:when test="$c mod 2=0">
+					<xsl:text>Even</xsl:text>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text>Odd</xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<tr class="{$class}">
+			<xsl:apply-templates />
+		</tr>
+	</xsl:template>
 
-  <xsl:template match="tei:att">
-      <span class="att">
-         <xsl:apply-templates/>
-      </span>
-  </xsl:template>
+	<xsl:template match="teix:egXML">
+		<xsl:param name="simple">
+			false
+		</xsl:param>
+		<xsl:param name="highlight" />
 
+		<div class="pre">
+			<xsl:apply-templates mode="verbatim">
+				<xsl:with-param name="highlight">
+					<xsl:value-of select="$highlight" />
+				</xsl:with-param>
+			</xsl:apply-templates>
+		</div>
+	</xsl:template>
+
+	<xsl:template match="xhtml:*">
+		<xsl:copy-of select="." />
+	</xsl:template>
+
+	<xsl:template match="tei:att">
+		<span class="att">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/teiCustom.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/teiCustom.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/teiCustom.xsl	(revision 2397)
@@ -1,58 +1,57 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:fotex="http://www.tug.org/fotex"
-                xmlns="http://www.w3.org/1999/XSL/Format"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                version="1.0">
-    <xsl:import href="tei.xsl"/>
-    
-    <!-- oXygen begin change -->
-    <!--
-        The default value of the 'tableAlign' param set in common/ tei-param.xsl is 
-        'leftTable' which is not a standard XSL-FO value for this param. It is reported 
-        as error by both Apache FOP and XEP. We set the default value to a 
-        standard one.
-    -->
-    <xsl:param name="tableAlign">left</xsl:param>
-    <!-- oXygen end change -->
-    
-    <xsl:template match="tei:table">
-        <xsl:choose>
-            <xsl:when test="@rend='eqnarray' and $foEngine='passivetex'">
-                <fotex:eqnarray>
-                    <xsl:apply-templates select=".//tei:formula"/>
-                </fotex:eqnarray>
-            </xsl:when>
-            <xsl:when test=".//tei:formula[@type='subeqn'] and $foEngine='passivetex'">
-                <fotex:eqnarray>
-                    <xsl:apply-templates select=".//tei:formula"/>
-                </fotex:eqnarray>
-            </xsl:when>
-            <xsl:when test="$inlineTables or @rend='inline'">
-                <xsl:if test="tei:head">
-                    <block>
-                        <xsl:call-template name="tableCaptionstyle"/>
-                        <!-- oXygen begin change -->
-                        <!-- 
-                            The same ID attribute value generated from the same node of the XML
-                            source cannot be added to two different elements of the XSL-FO result,
-                            that is an fo:block and a child element fo:table. Here we skip adding the ID
-                            attribute for the child element.
-                        -->
-                        <!-- <xsl:call-template name="addID"/> -->
-                        <!-- oXygen end change -->
-                        <xsl:if test="$makeTableCaption='true'">
-                            <xsl:call-template name="calculateTableNumber"/>
-                            <xsl:text>. </xsl:text>
-                        </xsl:if>
-                        <xsl:apply-templates select="tei:head"/>
-                    </block>
-                </xsl:if>
-                <xsl:call-template name="blockTable"/>
-            </xsl:when>
-            <xsl:otherwise>
-                <xsl:call-template name="floatTable"/>
-            </xsl:otherwise>
-        </xsl:choose>
-    </xsl:template>
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:fotex="http://www.tug.org/fotex"
+	xmlns="http://www.w3.org/1999/XSL/Format"
+	xmlns:tei="http://www.tei-c.org/ns/1.0" version="1.0">
+	<xsl:import href="tei.xsl" />
+
+	<!-- oXygen begin change -->
+	<!-- The default value of the 'tableAlign' param set in common/ tei-param.xsl 
+		is 'leftTable' which is not a standard XSL-FO value for this param. It is 
+		reported as error by both Apache FOP and XEP. We set the default value to 
+		a standard one. -->
+	<xsl:param name="tableAlign">
+		left
+	</xsl:param>
+	<!-- oXygen end change -->
+
+	<xsl:template match="tei:table">
+		<xsl:choose>
+			<xsl:when test="@rend='eqnarray' and $foEngine='passivetex'">
+				<fotex:eqnarray>
+					<xsl:apply-templates select=".//tei:formula" />
+				</fotex:eqnarray>
+			</xsl:when>
+			<xsl:when
+				test=".//tei:formula[@type='subeqn'] and $foEngine='passivetex'">
+				<fotex:eqnarray>
+					<xsl:apply-templates select=".//tei:formula" />
+				</fotex:eqnarray>
+			</xsl:when>
+			<xsl:when test="$inlineTables or @rend='inline'">
+				<xsl:if test="tei:head">
+					<block>
+						<xsl:call-template name="tableCaptionstyle" />
+						<!-- oXygen begin change -->
+						<!-- The same ID attribute value generated from the same node of the 
+							XML source cannot be added to two different elements of the XSL-FO result, 
+							that is an fo:block and a child element fo:table. Here we skip adding the 
+							ID attribute for the child element. -->
+						<!-- <xsl:call-template name="addID"/> -->
+						<!-- oXygen end change -->
+						<xsl:if test="$makeTableCaption='true'">
+							<xsl:call-template name="calculateTableNumber" />
+							<xsl:text>. </xsl:text>
+						</xsl:if>
+						<xsl:apply-templates select="tei:head" />
+					</block>
+				</xsl:if>
+				<xsl:call-template name="blockTable" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:call-template name="floatTable" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/transcr.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/transcr.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/transcr.xsl	(revision 2397)
@@ -1,59 +1,62 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                xmlns="http://www.w3.org/1999/XSL/Format"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:html="http://www.w3.org/1999/xhtml"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes=" a  rng tei teix"
-                version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet
-    dealing  with elements from the
-    transcr module, making XSL FO output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns="http://www.w3.org/1999/XSL/Format"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes=" a  rng tei teix" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet
+				dealing with elements from the
+				transcr module, making XSL FO output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: transcr.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <xsl:template match="tei:facsimile"/>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: transcr.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
 
+	<xsl:template match="tei:facsimile" />
+
 </xsl:stylesheet>
\ No newline at end of file
